#include "InputPlugin.h"
#include "spcwin.h"


class SpcPlugin : public InputPlugin
{
public:

	SpcPlugin();
	
	void Init();
	void Cleanup();
	
	bool About(bool Question);
	bool Prefs(bool Question);
	bool Edit(const char *FileName, bool Question);
	bool GetMimeType(BMimeType *m, int nr);
	bool IsOur(const char *FileName);
	bool GetSongInfo(const char *FName, PlayerInfoStruct *Info);
	void AbortPlaying();
	void Pause(bool On);
	void NewSpeed(long Promille);
	void NewVolume(long Promille);
	void MessageReceived(BMessage *message);
	void tag_set_states();
	
	bool InitPlaying(const char *FileName, PlayerInfoStruct *Info);
	int GetAudio(char **Buff, int Size);
	void JumpTo(long NewTime);
	void CleanupPlaying();
	
	private:
	
	SpcWin *spcwin;
	
	

	
};

extern SpcPlugin *plug;