#include "spcwin.h"
#include "def.h"
SpcPlugin *plug = NULL;

  char songnam[33];
  char gametit[33];
  char dumpe[17];
  char comment[33];
  char auth[33];
  int playtim;
  int fadetim;
  int i;

SpcWin::SpcWin(BRect frame)
	:BWindow(frame, "SPC_ID666", B_TITLED_WINDOW, B_NOT_ZOOMABLE | B_NOT_RESIZABLE)
	{
	spcview = new BView(Bounds(), "myview", B_FOLLOW_ALL,0);
	AddChild(spcview);
	spcview->SetViewColor(220,220,220);
	spcview->MakeFocus();
	
	BRect r(3, 9, 185, 29);
	song = new BTextControl(r, "spcid", "SongName:", "", NULL);
	song->SetDivider(55);
	spcview->AddChild(song);
	
	
	BRect r1(3,33,187,50);
	game = new BTextControl(r1, "game", "GameTitle:", "", NULL);
	game->SetDivider(55);
	spcview->AddChild(game);
	
	
	BRect r2(3,55,187,73);
	dump = new BTextControl(r2, "dumper", "Dumper:", "", NULL);
	dump->SetDivider(55);
	spcview->AddChild(dump);
	
	BRect r3(3,80,188,98);
	author = new BTextControl(r3, "author", "Author:", "", NULL);
	author->SetDivider(55);
	spcview->AddChild(author);
	
	BRect r4(3,104,189,123);
	comments = new BTextControl(r4, "comment", "Comments:", "", NULL);
	comments->SetDivider(55);
	spcview->AddChild(comments);
	
	BRect r5(3,129,89,147);
	year = new BTextControl(r5, "date", "Date:", "", NULL);
	year->SetDivider(30);
	spcview->AddChild(year);
	
	
	//BRect r6(69,131,124,150);
	//month = new BTextControl(r6, "month", "Month:", "", NULL);
	//month->SetDivider(30);
	//spcview->AddChild(month);
	
	
	//BRect r7(131,130,189,149);
	//day = new BTextControl(r7, "day", "Day:", "", NULL);
	//day->SetDivider(30);
	//spcview->AddChild(day);
	
	//BRect r8(3,153,90,172);
	//playtime = new BTextControl(r8, "play", "PlayTime:", "", NULL);
	//playtime->SetDivider(45);
	//spcview->AddChild(playtime);
	
	
	//BRect r9(104,153,190,172);
	//fadetime = new BTextControl(r9, "fade", "FadeTime:", "", NULL);
	//fadetime->SetDivider(50);
	//spcview->AddChild(fadetime);
	
	
	
	BRect r10(7,176,85,200);
	button = new BButton(r10, "Sav", "Save", new BMessage(SAV));
	spcview->AddChild(button);
	
	
	BRect r11(109,176,190,200);
	button1 = new BButton(r11, "Can", "Cancel", new BMessage(B_QUIT_REQUESTED));
	spcview->AddChild(button1);
	
	BRect r12(121, 127, 179,151);
	button2 = new BButton(r12, "date", "SetDate", new BMessage(TIM));
	spcview->AddChild(button2);
	
	BRect r13(4,153,61,172);
	radio = new BRadioButton(r13, "radio", "ZSnes", new BMessage(ZSN));
	//radio->SetValue(false);
	spcview->AddChild(radio);
	
	BRect r14(69,154,126,173);
	radio1 = new BRadioButton(r14, "radio1", "Snes9x", new BMessage(SNE));
	spcview->AddChild(radio1);
	
	BRect r15(132,154,194,173);
	radio2 = new BRadioButton(r15, "radio2", "Unknown", new BMessage(UNK));
	//radio2->SetValue(true);
	spcview->AddChild(radio2);
	}
	
void SpcWin::set_date()
{
const char *Date = "%m/%d/%y";
char tim[30];
tm *date1;
time_t date;
date = time(0);
date1 = localtime(&date);
strftime(tim, 30, Date, date1);
year->SetText(tim);
}

void SpcWin::MessageReceived(BMessage *message)
{
switch(message->what) {
case TIM:
	set_date();
	break;
case UNK:
	i = 0;
	break;
case ZSN:
	i = 1;
	break;
case SNE:
	i = 2;
	break;
	default:
	tag_set_states();

	plug->MessageReceived(message);
	break;
	}
}

void SpcWin::tag_set_states()
{

strcpy(songnam, song->Text());
strcpy(gametit, game->Text());
strcpy(dumpe, dump->Text());
strcpy(auth, author->Text());
strcpy(comment, comments->Text());



}
